Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlPickList

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectMany
                          org.richfaces.component.UIPickList
                              org.richfaces.component.html.HtmlPickList

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

    public class HtmlPickList

extends UIPickList

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UISelectMany
`INVALID_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`HtmlPickList()`

Method Summary
`java.lang.String` | `getControlClass()`
`java.lang.String` | `getCopyAllControlLabel()`
`java.lang.String` | `getCopyAllTitle()`
`java.lang.String` | `getCopyControlLabel()`
`java.lang.String` | `getCopyTitle()`
`java.lang.String` | `getDir()`
`java.lang.String` | `getDisabledStyle()`
`java.lang.String` | `getDisabledStyleClass()`
`java.lang.String` | `getEnabledStyle()`
`java.lang.String` | `getEnabledStyleClass()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getLang()`
`java.lang.String` | `getListClass()`
`java.lang.String` | `getListsHeight()`
`java.lang.String` | `getMoveControlsVerticalAlign()`
`java.lang.String` | `getOnblur()`
`java.lang.String` | `getOnchange()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnfocus()`
`java.lang.String` | `getOnkeydown()`
`java.lang.String` | `getOnkeypress()`
`java.lang.String` | `getOnkeyup()`
`java.lang.String` | `getOnlistchange()`
`java.lang.String` | `getOnlistchanged()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getRemoveAllControlLabel()`
`java.lang.String` | `getRemoveAllTitle()`
`java.lang.String` | `getRemoveControlLabel()`
`java.lang.String` | `getRemoveTitle()`
`int` | `getSize()`
`java.lang.String` | `getSourceListWidth()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getTargetListWidth()`
`java.lang.String` | `getTitle()`
`boolean` | `isCopyAllVisible()`
`boolean` | `isCopyVisible()`
`boolean` | `isDisabled()`
`boolean` | `isFastMoveControlsVisible()`
`boolean` | `isMoveControlsVisible()`
`boolean` | `isRemoveAllVisible()`
`boolean` | `isRemoveVisible()`
`boolean` | `isShowButtonsLabel()`
`boolean` | `isSwitchByClick()`
`boolean` | `isSwitchByDblClick()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setControlClass(java.lang.String _controlClass)`
`void` | `setCopyAllControlLabel(java.lang.String _copyAllControlLabel)`
`void` | `setCopyAllTitle(java.lang.String _copyAllTitle)`
`void` | `setCopyAllVisible(boolean _copyAllVisible)`
`void` | `setCopyControlLabel(java.lang.String _copyControlLabel)`
`void` | `setCopyTitle(java.lang.String _copyTitle)`
`void` | `setCopyVisible(boolean _copyVisible)`
`void` | `setDir(java.lang.String _dir)`
`void` | `setDisabled(boolean _disabled)`
`void` | `setDisabledStyle(java.lang.String _disabledStyle)`
`void` | `setDisabledStyleClass(java.lang.String _disabledStyleClass)`
`void` | `setEnabledStyle(java.lang.String _enabledStyle)`
`void` | `setEnabledStyleClass(java.lang.String _enabledStyleClass)`
`void` | `setFastMoveControlsVisible(boolean _fastMoveControlsVisible)`
`void` | `setLabel(java.lang.String _label)`
`void` | `setLang(java.lang.String _lang)`
`void` | `setListClass(java.lang.String _listClass)`
`void` | `setListsHeight(java.lang.String _listsHeight)`
`void` | `setMoveControlsVerticalAlign(java.lang.String _moveControlsVerticalAlign)`
`void` | `setMoveControlsVisible(boolean _moveControlsVisible)`
`void` | `setOnblur(java.lang.String _onblur)`
`void` | `setOnchange(java.lang.String _onchange)`
`void` | `setOnclick(java.lang.String _onclick)`
`void` | `setOndblclick(java.lang.String _ondblclick)`
`void` | `setOnfocus(java.lang.String _onfocus)`
`void` | `setOnkeydown(java.lang.String _onkeydown)`
`void` | `setOnkeypress(java.lang.String _onkeypress)`
`void` | `setOnkeyup(java.lang.String _onkeyup)`
`void` | `setOnlistchange(java.lang.String _onlistchange)`
`void` | `setOnlistchanged(java.lang.String _onlistchanged)`
`void` | `setOnmousedown(java.lang.String _onmousedown)`
`void` | `setOnmousemove(java.lang.String _onmousemove)`
`void` | `setOnmouseout(java.lang.String _onmouseout)`
`void` | `setOnmouseover(java.lang.String _onmouseover)`
`void` | `setOnmouseup(java.lang.String _onmouseup)`
`void` | `setRemoveAllControlLabel(java.lang.String _removeAllControlLabel)`
`void` | `setRemoveAllTitle(java.lang.String _removeAllTitle)`
`void` | `setRemoveAllVisible(boolean _removeAllVisible)`
`void` | `setRemoveControlLabel(java.lang.String _removeControlLabel)`
`void` | `setRemoveTitle(java.lang.String _removeTitle)`
`void` | `setRemoveVisible(boolean _removeVisible)`
`void` | `setShowButtonsLabel(boolean _showButtonsLabel)`
`void` | `setSize(int _size)`
`void` | `setSourceListWidth(java.lang.String _sourceListWidth)`
`void` | `setStyle(java.lang.String _style)`
`void` | `setStyleClass(java.lang.String _styleClass)`
`void` | `setSwitchByClick(boolean _switchByClick)`
`void` | `setSwitchByDblClick(boolean _switchByDblClick)`
`void` | `setTargetListWidth(java.lang.String _targetListWidth)`
`void` | `setTitle(java.lang.String _title)`

Methods inherited from class org.richfaces.component.UIPickList
`getBaseClientId, getConverter, getConverterForValue, validateValue`

Methods inherited from class javax.faces.component.UISelectMany
`compareValues, getSelectedValues, getValueBinding, getValueExpression, setSelectedValues, setValueBinding, setValueExpression`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlPickList

    public HtmlPickList()

Method Detail

### getControlClass

    public java.lang.String getControlClass()

  Specified by:
    `getControlClass` in class `UIPickList`

### setControlClass

    public void setControlClass(java.lang.String _controlClass)

  Specified by:
    `setControlClass` in class `UIPickList`

### getCopyAllControlLabel

    public java.lang.String getCopyAllControlLabel()

### setCopyAllControlLabel

    public void setCopyAllControlLabel(java.lang.String _copyAllControlLabel)

### getCopyAllTitle

    public java.lang.String getCopyAllTitle()

### setCopyAllTitle

    public void setCopyAllTitle(java.lang.String _copyAllTitle)

### isCopyAllVisible

    public boolean isCopyAllVisible()

  Specified by:
    `isCopyAllVisible` in class `UIPickList`

### setCopyAllVisible

    public void setCopyAllVisible(boolean _copyAllVisible)

  Specified by:
    `setCopyAllVisible` in class `UIPickList`

### getCopyControlLabel

    public java.lang.String getCopyControlLabel()

### setCopyControlLabel

    public void setCopyControlLabel(java.lang.String _copyControlLabel)

### getCopyTitle

    public java.lang.String getCopyTitle()

### setCopyTitle

    public void setCopyTitle(java.lang.String _copyTitle)

### isCopyVisible

    public boolean isCopyVisible()

  Specified by:
    `isCopyVisible` in class `UIPickList`

### setCopyVisible

    public void setCopyVisible(boolean _copyVisible)

  Specified by:
    `setCopyVisible` in class `UIPickList`

### getDir

    public java.lang.String getDir()

### setDir

    public void setDir(java.lang.String _dir)

### isDisabled

    public boolean isDisabled()

  Specified by:
    `isDisabled` in class `UIPickList`

### setDisabled

    public void setDisabled(boolean _disabled)

  Specified by:
    `setDisabled` in class `UIPickList`

### getDisabledStyle

    public java.lang.String getDisabledStyle()

### setDisabledStyle

    public void setDisabledStyle(java.lang.String _disabledStyle)

### getDisabledStyleClass

    public java.lang.String getDisabledStyleClass()

### setDisabledStyleClass

    public void setDisabledStyleClass(java.lang.String _disabledStyleClass)

### getEnabledStyle

    public java.lang.String getEnabledStyle()

### setEnabledStyle

    public void setEnabledStyle(java.lang.String _enabledStyle)

### getEnabledStyleClass

    public java.lang.String getEnabledStyleClass()

### setEnabledStyleClass

    public void setEnabledStyleClass(java.lang.String _enabledStyleClass)

### isFastMoveControlsVisible

    public boolean isFastMoveControlsVisible()

  Specified by:
    `isFastMoveControlsVisible` in class `UIPickList`

### setFastMoveControlsVisible

    public void setFastMoveControlsVisible(boolean _fastMoveControlsVisible)

  Specified by:
    `setFastMoveControlsVisible` in class `UIPickList`

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String _label)

### getLang

    public java.lang.String getLang()

### setLang

    public void setLang(java.lang.String _lang)

### getListClass

    public java.lang.String getListClass()

  Specified by:
    `getListClass` in class `UIPickList`

### setListClass

    public void setListClass(java.lang.String _listClass)

  Specified by:
    `setListClass` in class `UIPickList`

### getListsHeight

    public java.lang.String getListsHeight()

### setListsHeight

    public void setListsHeight(java.lang.String _listsHeight)

### getMoveControlsVerticalAlign

    public java.lang.String getMoveControlsVerticalAlign()

  Specified by:
    `getMoveControlsVerticalAlign` in class `UIPickList`

### setMoveControlsVerticalAlign

    public void setMoveControlsVerticalAlign(java.lang.String _moveControlsVerticalAlign)

  Specified by:
    `setMoveControlsVerticalAlign` in class `UIPickList`

### isMoveControlsVisible

    public boolean isMoveControlsVisible()

  Specified by:
    `isMoveControlsVisible` in class `UIPickList`

### setMoveControlsVisible

    public void setMoveControlsVisible(boolean _moveControlsVisible)

  Specified by:
    `setMoveControlsVisible` in class `UIPickList`

### getOnblur

    public java.lang.String getOnblur()

### setOnblur

    public void setOnblur(java.lang.String _onblur)

### getOnchange

    public java.lang.String getOnchange()

### setOnchange

    public void setOnchange(java.lang.String _onchange)

### getOnclick

    public java.lang.String getOnclick()

### setOnclick

    public void setOnclick(java.lang.String _onclick)

### getOndblclick

    public java.lang.String getOndblclick()

### setOndblclick

    public void setOndblclick(java.lang.String _ondblclick)

### getOnfocus

    public java.lang.String getOnfocus()

### setOnfocus

    public void setOnfocus(java.lang.String _onfocus)

### getOnkeydown

    public java.lang.String getOnkeydown()

### setOnkeydown

    public void setOnkeydown(java.lang.String _onkeydown)

### getOnkeypress

    public java.lang.String getOnkeypress()

### setOnkeypress

    public void setOnkeypress(java.lang.String _onkeypress)

### getOnkeyup

    public java.lang.String getOnkeyup()

### setOnkeyup

    public void setOnkeyup(java.lang.String _onkeyup)

### getOnlistchange

    public java.lang.String getOnlistchange()

### setOnlistchange

    public void setOnlistchange(java.lang.String _onlistchange)

### getOnlistchanged

    public java.lang.String getOnlistchanged()

### setOnlistchanged

    public void setOnlistchanged(java.lang.String _onlistchanged)

### getOnmousedown

    public java.lang.String getOnmousedown()

### setOnmousedown

    public void setOnmousedown(java.lang.String _onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

### setOnmousemove

    public void setOnmousemove(java.lang.String _onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

### setOnmouseout

    public void setOnmouseout(java.lang.String _onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

### setOnmouseover

    public void setOnmouseover(java.lang.String _onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

### setOnmouseup

    public void setOnmouseup(java.lang.String _onmouseup)

### getRemoveAllControlLabel

    public java.lang.String getRemoveAllControlLabel()

### setRemoveAllControlLabel

    public void setRemoveAllControlLabel(java.lang.String _removeAllControlLabel)

### getRemoveAllTitle

    public java.lang.String getRemoveAllTitle()

### setRemoveAllTitle

    public void setRemoveAllTitle(java.lang.String _removeAllTitle)

### isRemoveAllVisible

    public boolean isRemoveAllVisible()

  Specified by:
    `isRemoveAllVisible` in class `UIPickList`

### setRemoveAllVisible

    public void setRemoveAllVisible(boolean _removeAllVisible)

  Specified by:
    `setRemoveAllVisible` in class `UIPickList`

### getRemoveControlLabel

    public java.lang.String getRemoveControlLabel()

### setRemoveControlLabel

    public void setRemoveControlLabel(java.lang.String _removeControlLabel)

### getRemoveTitle

    public java.lang.String getRemoveTitle()

### setRemoveTitle

    public void setRemoveTitle(java.lang.String _removeTitle)

### isRemoveVisible

    public boolean isRemoveVisible()

  Specified by:
    `isRemoveVisible` in class `UIPickList`

### setRemoveVisible

    public void setRemoveVisible(boolean _removeVisible)

  Specified by:
    `setRemoveVisible` in class `UIPickList`

### isShowButtonsLabel

    public boolean isShowButtonsLabel()

### setShowButtonsLabel

    public void setShowButtonsLabel(boolean _showButtonsLabel)

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `UIPickList`

### setSize

    public void setSize(int _size)

  Specified by:
    `setSize` in class `UIPickList`

### getSourceListWidth

    public java.lang.String getSourceListWidth()

### setSourceListWidth

    public void setSourceListWidth(java.lang.String _sourceListWidth)

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String _style)

### getStyleClass

    public java.lang.String getStyleClass()

### setStyleClass

    public void setStyleClass(java.lang.String _styleClass)

### isSwitchByClick

    public boolean isSwitchByClick()

### setSwitchByClick

    public void setSwitchByClick(boolean _switchByClick)

### isSwitchByDblClick

    public boolean isSwitchByDblClick()

### setSwitchByDblClick

    public void setSwitchByDblClick(boolean _switchByDblClick)

### getTargetListWidth

    public java.lang.String getTargetListWidth()

### setTargetListWidth

    public void setTargetListWidth(java.lang.String _targetListWidth)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String _title)

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UISelectMany`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIInput`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIInput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.